Bug 6535 - Bug with urpmi
: Bug with urpmi
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 14:23 MSK by mtzseb
Modified: 2016-03-22 19:05 MSK (History)
1 user (show)

See Also:
RPM Package: urpmi
ISO-related:
Bad POT generating:
Upstream:


Attachments
Script to update perl-Config-IniFiles and fix urpmi (284 bytes, text/plain)
2016-01-05 21:23 MSK, Denis Silakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mtzseb 2016-01-05 14:23:32 MSK
Description of problem:

# urpmi --auto-update
"any" is not exported by the List::Util module
 "none" is not exported by the List::Util module
Can't continue after import errors at /usr/lib/perl5/vendor_perl/5.18.2/Config/IniFiles.pm line 14.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.18.2/Config/IniFiles.pm line 14.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.18.2/MDV/Distribconf.pm line 171.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.18.2/MDV/Distribconf.pm line 171.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.18.2/urpm/media.pm line 12.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.18.2/urpm/media.pm line 12.
Compilation failed in require at /usr/sbin/urpmi line 29.
BEGIN failed--compilation aborted at /usr/sbin/urpmi line 29.
Comment 1 Denis Silakov 2016-01-05 21:23:04 MSK
Created attachment 4342 [details]
Script to update perl-Config-IniFiles and fix urpmi
Comment 2 Denis Silakov 2016-01-05 21:23:25 MSK
This is fixed in repositories,but in order to get urpmi working again you should install older version of perl-Config-IniFiles package manually.

You can use the script attached to do this )should be launched under root).
Comment 3 mtzseb 2016-01-05 21:36:37 MSK
Yes !!
It works fine, Thanks a lot !
Comment 4 mtzseb 2016-03-11 17:52:06 MSK
Ok, but perl-Config-IniFiles always updates and bug my reappears. So I have to keep this older version. No way to update this package?
Comment 5 Denis Silakov 2016-03-11 17:55:57 MSK
No, the bug should not reappear. perl-Config-IniFiles was correctly updated in bug #6733 to be free of this problem.
Comment 6 mtzseb 2016-03-22 18:22:33 MSK
I just tested the 2.888 version of perl-Config-IniFiles package, and the error still on my computer. I can miss something ...

# urpmi --auto-update
"any" is not exported by the List::Util module
 "none" is not exported by the List::Util module
Can't continue after import errors at /usr/lib/perl5/vendor_perl/5.18.2/Config/IniFiles.pm line 14.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.18.2/Config/IniFiles.pm line 14.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.18.2/MDV/Distribconf.pm line 171.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.18.2/MDV/Distribconf.pm line 171.
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.18.2/urpm/media.pm line 12.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.18.2/urpm/media.pm line 12.
Compilation failed in require at /usr/sbin/urpmi line 29.
BEGIN failed--compilation aborted at /usr/sbin/urpmi line 29.
Comment 7 Denis Silakov 2016-03-22 18:25:10 MSK
Which release of perl-Config-IniFiles is installed at your machine and do you have
perl-Scalar-List-Utils installed?

perl-Config-IniFiles-2.880.0-2 is the latest one and it requires perl-Scalar-List-Utils. Without perl-Scalar-List-Utils, you'll get urpmi error.
Comment 8 mtzseb 2016-03-22 18:30:35 MSK
Yes, I've got perl-Scalar-List-Utils 1.420, but i586 version. I can't install x86_64 version...
Comment 9 mtzseb 2016-03-22 18:32:52 MSK
perl-Config-IniFiles-2.830 works fine, not 2.880
Comment 10 Denis Silakov 2016-03-22 18:37:05 MSK
(In reply to comment #8)
> Yes, I've got perl-Scalar-List-Utils 1.420, but i586 version. I can't
> install x86_64 version...

Hm, why? In 64 machine you need x86_64 version, this package is arch-dependent and places its modules to arch-dependent folders. So perl-Config-IniFiles just doesn't find it.

Old perl-Config-IniFiles-2.830 was happy with Scalar-List-Utils embedded in perl itself, but new 2.880 version requires newer Scalar-List-Utils so you should install a separate package.
Comment 11 mtzseb 2016-03-22 18:43:21 MSK
# urpmi --replacepkgs --force perl-Scalar-List-Utils
paquetage(s) perl-Scalar-List-Utils-1.420.0-1-rosa2014.1.x86_64 dans la base urpmi mais aucun n'est installé
Comment 12 mtzseb 2016-03-22 18:44:38 MSK
Sorry, the following packages cannot be selected:

- perl-Scalar-List-Utils-1.420.0-1-rosa2014.1.x86_64
Comment 13 Denis Silakov 2016-03-22 18:59:53 MSK
You can try a small hack:

# rpm -e --nodeps perl-Scalar-List-Utils
# urpmi perl-Scalar-List-Utils
Comment 14 mtzseb 2016-03-22 19:05:19 MSK
Yes it works !!!
Thanks a lot ;-)